For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inTalk to sales
GuidesAPI Reference
  • Introduction
    • Getting started
  • API Reference
      • POSTBulk create transactions
      • GETRetrieve a transaction batch
      • POSTBatch create transaction events
      • GETRetrive transaction events batch
      • POSTBatch create consumer users
      • GETRetrieve a consumer user batch
      • POSTBatch create business users
      • GETRetrieve a business user batch
      • POSTBatch create consumer user events
      • GETRetrive consumer user events batch
      • POSTBatch create business user events
      • GETRetrive business user events batch
  • Webhooks
LogoLogo
Log inTalk to sales
API ReferenceBatch

Batch create transaction events

POST
/batch/events/transaction
POST
/batch/events/transaction
$curl -X POST https://sandbox.api.flagright.com/batch/events/transaction \
> -H "x-api-key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {
> "transactionState": "CREATED",
> "timestamp": 2220000000000,
> "transactionId": "string"
> }
> ]
>}'
1{
2 "status": "SUCCESS",
3 "batchId": "string",
4 "successful": 1.1,
5 "failed": 1.1,
6 "failedRecords": [
7 {
8 "id": "string",
9 "reasonCode": "string"
10 }
11 ],
12 "message": "string"
13}
Was this page helpful?
Previous

Retrive transaction events batch

Next
Built with

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Request

datalist of objectsRequired
batchIdstringOptional

Response

Created
statusenum
Status of the batch response
Allowed values:
batchIdstring
successfuldouble
faileddouble
failedRecordslist of objects
messagestring

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error